function env {
action="${1}"
    setparams \
    'check_squashfs' 'grub_sleep' 'time_out' 'to_ram'
    if [ "${action}" == 'load' ] ; then
        load_env \
        --skip-sig \
        --file "${env}" "${@}"
    fi
    if [ "${action}" == 'save' ] ; then
        save_env \
        --file "${env}" "${@}"
    fi
}

function env_apply {
    if [ "${default}" ] ; then
        timeout=${time_out}
    else
        unset timeout
    fi
}

function env_init {
    grub_init
    env_set
    env_mod
    env_apply
}

function env_list {
    list_env \
    --skip-sig \
    --file "${env}"
}

function env_mod {
    env_mod='---'
    if [ -f "${env}" ] ; then
        env_mod='--x'
        if env 'load' ; then
            env_mod='r-x'
            if env 'save' ; then
                env_mod='rwx'
            fi
        fi
    fi
}

function env_set {
    check_squashfs='enforce'
    grub_sleep=999
    time_out=10
    to_ram='enforce'
}
